
      subroutine getinp
      COMMON/CLDDD/DRR(37,73),CBB,ICLDS,ACLR,CSH
      COMMON/XYXP/ITILT
      COMMON RE,RO,ZM,SIGM,PI,RAD,SRPI,DPHI,JMX,DTHETA,IMX,ABC1,SR2PI,
     1ABC2,THET(73),THETA(73),PHII(37),PHI(37),DTHET,DPH,OROG(37,73),
     2FS(37,73),Z1,SIGSL,SIGO,ALP,SIG,DRL,SIG1,AC1(37,37),BC1(37,37),
     3AS1(37,37),BS1(37,37),AC2(37,37),BC2(37,37),AS2(37,37),BS2(37,37),
     4GL(4000),POT(37,73),
     5GCNK(37,37),GSNK(37,37),TES(26011),
     6  GOO,F(37,73),
     7  LMX,ZSIG(37,73),
     8  UBC(37,73),USNK(37,37),UCNK(37,37),UOO,
     9  AC3(37,37),AS3(37,37),BC3(37,37),BS3(37,37),SBQ,DPHINF,
     a  mtns(72,36), xmtns(73,37), cmtns(73,37) 
      character*24 histvol
      common/input/ histvol,mtime(3),dsigo,iubcd,ilwrg,idelt
c
      call lexcon(histvol ,8HHISTVOL ,nhvols)
      call lexcon(mtime   ,8HDDHHMM  ,ntimes)
      call lexcon(z1      ,8HZ1      ,nz1)
      call lexcon(sigsl   ,8HSIGSL   ,nsigsl)
      call lexcon(sigo    ,8HSIGO    ,nsigo)
      call lexcon(zm      ,8HZM      ,nzm)
      call lexcon(alp     ,8HALP     ,nalp)
      call lexcon(dsigo   ,8HDSIGO   ,ndsigo)
      call lexcon(iubcd   ,8HIUBCD   ,niubcd)
      call lexcon(itilt   ,8HITILT   ,nitilt)
      call lexcon(idelt   ,8HIDELT   ,nidelt)
      call lexcon(iclds   ,8HICLDS   ,niclds)
      call lexcon(ilwrg   ,8HILWRG   ,nilwrg)
      call readlx(5,ierr)
      if (ierr.ne.1) then
        write(6,"(' ')")
        write(6,"('>>> getinp readlx ierr=',i10)") ierr
        write(6,"(' ')")
        stop 'readlx'
      endif
      if (nhvols.gt.0.and.nhvols.ne.3) then
        write(6,"('>>> getinp: HISTVOL must have 24 chars <<<')")
        stop 'histvol'
      endif
      if (ntimes.gt.0.and.ntimes.ne.3) then
        write(6,"('>>> getinp: MTIMES must be 3 integers (day,hr,min)',
     +    ' (got ',i2,' values)')") ntimes
        stop 'mtimes'
      endif
      return
      end
